#ifndef EDDATAFILEPATH_H
#define EDDATAFILEPATH_H

#include <TGClient.h>
#include <TGButton.h>
#include "EDMainFrame.h"

class EDMainFrame;

class EDDataFilePath : public TGTransientFrame {

private:
  TGGroupFrame *fGF1;
  TGHorizontalFrame *fHF, *fHF2;
  TGTextButton    *fEnter;
  TGTextEntry     *fName;
  TGTextView      *fExplain;
  TGLayoutHints   *fLayout, *fMax,*fMaxY;

  EDMainFrame *fMain;// do not delete

public:
  EDDataFilePath();
  EDDataFilePath(const TGWindow *, const TGWindow *, UInt_t, UInt_t);
  ~EDDataFilePath() {
    delete fHF;
    delete fHF2;
    delete fGF1;
    delete fName;
    delete fEnter;
    delete fExplain;
    delete fMax;
    delete fMaxY;
    delete fLayout;
  }
  Bool_t ProcessMessage (Long_t msg, Long_t parm1, Long_t parm2);
  void CloseWindow () {
    delete this;
  }
};

#endif
