#ifndef EDTRIGGER_H
#define EDTRIGGER_H

#include <TGClient.h>
#include <TGButton.h>
#include "EDMainFrame.h"

class EDMainFrame;

class EDTrigger : public TGTransientFrame {

private:
  TGGroupFrame *fGF1;
  TGHorizontalFrame *fHF;
  TGTextButton    *fEnter;
  TGTextEntry     *fName;
  TGLayoutHints   *fLayout, *fMax;

  EDMainFrame *fMain;// do not delete

public:
  EDTrigger();
  EDTrigger(const TGWindow *, const TGWindow *, UInt_t, UInt_t);
  ~EDTrigger() {
    delete fHF;
    delete fGF1;
    delete fName;
    delete fEnter;
    delete fMax;
    delete fLayout;
  }
  bool ProcessMessage (long msg, long parm1, long parm2);
  void CloseWindow () {
    delete this;
  }
};


class EDSelectStation : public TGTransientFrame {

private:
  TGGroupFrame *fGF1;
  TGHorizontalFrame *fHF;
  TGTextButton    *fEnter;
  TGTextEntry     *fName;
  TGLayoutHints   *fLayout, *fMax;

  EDMainFrame *fMain;// do not delete

public:
  EDSelectStation();
  EDSelectStation(const TGWindow *, const TGWindow *, UInt_t, UInt_t);
  ~EDSelectStation() {
    delete fHF;
    delete fGF1;
    delete fName;
    delete fEnter;
    delete fMax;
    delete fLayout;
  }
  bool ProcessMessage (long msg, long parm1, long parm2);
  void CloseWindow () {
    delete this;
  }
};

#endif
