//
// File   : UtilLinkDef.h
//
// Purpose: CINT LinkDef.h file for FdUtil/src Streamer & Co.
//
// $Id: UtilLinkDef.h 8758 2010-09-27 12:16:24Z mathes $
//

#ifdef __CINT__

#pragma link off all globals;
#pragma link off all classes;
#pragma link off all functions;

#pragma link C++ nestedclass; 		// added for namespace
#pragma link C++ nestedtypedef; 	// added for namespace
#pragma link C++ namespace FdUtil; 	// added for namespace

#pragma link C++ class FdUtil::Fd-;       // -> user defined Streamer()

#pragma link C++ union  FdUtil::Fd::_PixelNumber;
#pragma link C++ typedef FdUtil::Fd::PixelNumberRec; 
#pragma link C++ typedef FdUtil::Fd::PixelNumber; 
#pragma link C++ union  FdUtil::Fd::_FdPixelNumber;
#pragma link C++ typedef FdUtil::Fd::FdPixelNumberRec; 
#pragma link C++ typedef FdUtil::Fd::FdPixelNumber; 
#pragma link C++ union  FdUtil::Fd::_MirrorNumber;
#pragma link C++ typedef FdUtil::Fd::MirrorNumberRec; 
#pragma link C++ typedef FdUtil::Fd::MirrorNumber;

#endif // __CINT__


