#!/bin/sh

GetRootSys() {
	echo -n "ROOTSYS not defined, please enter it now: " 1>&2
	read ROOTSYS
	[ -d ${ROOTSYS} ] || echo "${ROOTSYS} not found" 1>&2
	[ -d ${ROOTSYS} ] || GetRootSys
	echo "Going to use ROOTSYS=${ROOTSYS}." 1>&2
}

[ "X$ROOTSYS" = "X" ] && ROOTSYS=`cat .rootsys 2>/dev/null`
[ "X$ROOTSYS" = "X" ] && GetRootSys
echo $ROOTSYS
echo $ROOTSYS > .rootsys
