#include <iostream>
#include "Ec.h"

int main(int argc, char *argv[]) {
  if (argc == 1) {
    cout << "Usage: " << argv[0] << " <files>" << endl;
  }
  // switch to go to old calib
  //Ec_UseOldCalib(1);

  IoSd input(argc - 1, argv + 1);

  EventPos pos;
  int nb=input.LastEvent()-input.FirstEvent();
  for (pos = input.FirstEvent(); pos < input.LastEvent();
       pos = input.NextEvent()) {
    if (pos%100==0) cerr << "Done " << pos << "/" << nb << endl;
    TEcEvent event(pos);
    // lightning tests
        for (unsigned int i=0;i<event.fCalibStations.size();i++)
          if (event.fCalibStations[i].Error==0 && event.fCalibStations[i].Id>100) {
              if (event.fCalibStations[i].IsLightningEvent()) cout << event.Trigger.Second << endl;
          }
  }
  return 0;
};
