#include <iostream>
#include "UnivCDAS.h"

using namespace std;

int main() {
  double Nmu=2,r=1000,Xmax=700,logE=20.,theta=30*M_PI/180,psi=0,z=0;
  cerr << "# Signal at 1000 m for a 10^20 eV shower of Xmax 700, theta=30 deg, Nmu=2, at sea level and below the shower (psi=0): " << UnivCDAS().GetSignal(logE,Xmax,Nmu,theta,z,r,psi) << " VEM" << endl;
  cout << "# LDF at 1400m of altitude, same values as above (in VEM):" << endl;
  for (double dist=100;dist<4000;dist+=100) cout << dist << " " << UnivCDAS().GetSignal(logE,Xmax,Nmu,theta,1400,dist,psi) << endl;
  return 0;
}
