#ifndef EDSELECTION_H
#define EDSELECTION_H

#include <TGClient.h>
#include <TGButton.h>
#include "EDMainFrame.h"

class EDMainFrame;

class EDSelectionFrame : public TGTransientFrame {

private:
  //TGHorizontalFrame *fHF, *fHF2 ;
  TGTextButton    *fCancel;
  TGLayoutHints   *fLayout, *fMaxX, *fMaxXY, *fCenter, *fAll;
  TGGroupFrame *fGF1, *fGF2;
  TGHorizontalFrame *fHF, *fHF2;
  TGTextButton *fGetEvent, *fAddDir, *fDelDir;
  vector <TGCheckButton *> fCheckDir;
  
  EDMainFrame *fMain;// do not delete
  EDConfig fConfig;

 public:
  
  EDSelectionFrame (const TGWindow *, const TGWindow *, UInt_t w, UInt_t h, long long id = -1);
  ~EDSelectionFrame () {
    delete fAll;
    delete fCenter;
    delete fMaxX;
    delete fMaxXY;
    delete fLayout;
    delete fCancel;
    delete fIdInFile;
    delete fGetEvent;
    delete fAddDir;
    delete fDelDir;
    unsigned int size = fCheckDir.size();
    for (unsigned int i=0; i<size; i++) delete fCheckDir[i];
    fCheckDir.clear();
    delete fHF;
    if(size) delete fGF1;
    delete fGF2;
  }
  bool ProcessMessage (long, long, long);
  string FromId2File (const char *, long long, int redo=0);
  void AssociateId2File (string);
  void CloseWindow () {
    delete this;
  }
  TGTextEntry *fIdInFile;  
 
};

#endif
