#ifndef FDPIXEL_H
#define FDPIXEL_H
////Class declarations for EventRec.C
////OCT 30, 2002, Martina Bohacova

// should not include that, will include in the wrong order !
// #include <FadcData.hh>
#include <MiEvent.hh>

// constants
#define N_PIX_TOT	440	/* tubes in camera */
#define N_CAM		6       /* camera per site */

/*********************/

class MujPixel {

public:
  MujPixel();
  MujPixel( int No, int Row, int Col, float Elevace, float Azimut, int brother );
  MujPixel( MujPixel * p );
  ~MujPixel();
  float Offdata( int k ) {
    return Fadcdata[k] - Offset;
  }
  void CopyFadcdata( TFADCData::FADCData f, float calconst  );
  int debug;


  int PixNo, RowNo, ColNo, NeibrNo;
  float Elev, Azim, CalConst;
  float Fadcdata[1000], Offset;
  float Ti, TiErr, Ampl, Sigma, Area;
};

struct MujHeader  {
  UInt_t MirrNum;
  UInt_t RunNum;
  UInt_t EventNum;
  UInt_t GPSTime;
  UInt_t GPSNanoTime;
  int PixNum;

};


struct pixpoint {
  float sx, sy, sz, azim, elev, calconst;
};

//MujPixel ** DuplPixArray( MujPixel ** src, int count );
//void DeletePixArray( MujPixel ** src, int count );
#endif
