
//
// File   : EyeEventLinkDef.h
//
// Purpose: CINT LinkDef.h file for TEyeEvent Streamer & Co.
//
// $Id: EyeEventLinkDef.h 8757 2010-09-27 12:16:09Z mathes $
//

#ifdef __CINT__

#pragma link off all globals;
#pragma link off all classes;
#pragma link off all functions;

//
// options:
// + : generate Streamer and StreamerInfo (new format of version 3)
//   : generate Streamer and StreamerInfo
// - : don't generate Streamer -> user defined Streamer
//


//#pragma link C++ class TEyeEvent+;         // all versions
#pragma link C++ class TEyeEvent-;         // version= 5++
#pragma link C++ class TEyeEventHeader-;   // version= 5++
//#pragma link C++ class TEyeEventHeader;  // version= 4, FDEventLib-v2r2
#pragma link C++ class TEyePixelData+;
#pragma link C++ class TEyePixelList-;     // version= 3++
//#pragma link C++ class TEyePixelList;    // version= 2, FDEventLib-v2r2
#pragma link C++ class TEyeFADCData+;

#pragma link C++ class TEyeRunHeader+;
#pragma link C++ class TEyeRunTrailer+;

#pragma link C++ class TEyeEventFile;

// removed for v1r6
//#pragma link C++ class TEyeWeatherData+;
#pragma link C++ class TEyeTriggerData+;
#pragma link C++ class TEyeT3Data+;
// added in v2r0
#pragma link C++ class TEyeGeometryData+;

#endif // __CINT__

