
//
// File   : EyeTriggerData.cc
//
// Purpose: Implementation of the class TEyeTriggerData
//
// $Id: EyeTriggerData.cc 8757 2010-09-27 12:16:09Z mathes $
//


#include <iostream>


/** @file EyeTriggerData.cc
  * Implementation of the class TEyeTriggerData.
  * @author H.-J. Mathes, FzK
  */


#include <ErrorLogging.hh>

#include "CheckVersion.hh"

#include "EyeTriggerData.hh"

using namespace std;

// -------------------------------------------------------------------------
// -------------------------------------------------------------------------
// 
// class TEyeTriggerData - implementation
// 

TEyeTriggerData::TEyeTriggerData()
 {
}

// -------------------------------------------------------------------------

TEyeTriggerData::~TEyeTriggerData()
 {
}

// -------------------------------------------------------------------------

TEyeTriggerData& TEyeTriggerData::operator=(const TEyeTriggerData& rhs)
 {
#ifdef TRACE_CONSTRUCTOR
  FD_CINFO << "TEyeTriggerData::operator=(" << &rhs 
           << " -> " << this << ")" << endl;
#endif // TRACE_CONSTRUCTOR

  if ( this == &rhs ) return *this; 

  return *this;
}

// -------------------------------------------------------------------------

void TEyeTriggerData::Show(std::ostream& /* ostr */) const
 {
  FD_CWARN << "TEyeTriggerData::Show() is not implemented !" << endl;
}

ClassImp(TEyeTriggerData)

// -------------------------------------------------------------------------
// -------------------------------------------------------------------------
