
//
// File   : EyeTriggerData.hh
//
// Purpose: Declaration of the class TEyeTriggerData
//
// $Id: EyeTriggerData.hh 12083 2011-02-21 17:11:42Z mathes $
//



/** @file EyeTriggerData.hh
  * Declaration of the class TEyeTriggerData.
  * @author H.-J. Mathes, FzK
  */


#ifndef _EyeTriggerData_hh_
#define _EyeTriggerData_hh_

#include <iostream>

#include <TObject.h>

#include <EyeEvent.hh>

/**
  */
class TEyeTriggerData : public TObject {
public:
    /**
      */
    TEyeTriggerData();
    
    /**
      */
    TEyeTriggerData(const TEyeTriggerData& rhs)
     : TObject(rhs) { *this = rhs; }

    /**
      */
    ~TEyeTriggerData();

    /**
      */
    TEyeTriggerData& operator=(const TEyeTriggerData&);

public:
    /** Print the contents of this object verbosely to the passed ostream.
      */
    void Show(std::ostream& ostr=std::cout) const;

private:

    ClassDef(TEyeTriggerData,EyeEVENTVERSIONv1)
};

#endif  // _EyeTriggerData_hh_
