//
// File   : MiEventLinkDef.h
//
// Purpose: CINT LinkDef.h file for TMirrorEvent Streamer & Co.
//
// $Id: MiEventLinkDef.h 8759 2010-09-27 12:16:36Z mathes $
//

#ifdef __CINT__

#pragma link off all globals;
#pragma link off all classes;
#pragma link off all functions;

#pragma link C++ class   VMirrorEvent;

#pragma link C++ class   TMirrorEvent-;

#pragma link C++ class   TMirrorEventHeader-;

#pragma link C++ class   TMirrorPixelData-;
#pragma link C++ union   TMirrorPixelData::_PixelDataWordRec;
#pragma link C++ typedef TMirrorPixelData::PixelDataWordRec; 
#pragma link C++ typedef TMirrorPixelData::PixelDataWord; 

#pragma link C++ class   TMirrorPixelList-;

#pragma link C++ class   TMirrorFADCData-;

#pragma link C++ class   TFADCData-;
#pragma link C++ union   TFADCData::_FADCDataWordRec;
#pragma link C++ typedef TFADCData::FADCDataWordRec; 
#pragma link C++ typedef TFADCData::FADCDataWord; 

#pragma link C++ union   TFADCData::_FADCTraceInfoV3Rec;
#pragma link C++ typedef TFADCData::FADCTraceInfoV3Rec;
#pragma link C++ typedef TFADCData::FADCTraceInfoV3;

#pragma link C++ union   TFADCData::_FADCTraceInfoRec;
#pragma link C++ typedef TFADCData::FADCTraceInfoRec;
#pragma link C++ typedef TFADCData::FADCTraceInfo;

#pragma link C++ struct  TFADCData::_PixelMonitorDataRec;
#pragma link C++ typedef TFADCData::PixelMonitorDataRec;
#pragma link C++ typedef TFADCData::PixelMonitorData;

#pragma link C++ struct  TFADCData::_FADCDataRec;
#pragma link C++ typedef TFADCData::FADCDataRec;
#pragma link C++ typedef TFADCData::FADCData;

#pragma link C++ class   TMirrorEventFile+;

#pragma link C++ class   TMirrorBitArray+;

#pragma link C++ class   TMirrorTriggerData-;

// --- was file MiRunLinkDef.h

#pragma link off union MiRunOption;

#pragma link C++ class TMirrorRunHeader-;
#pragma link C++ class TMirrorRunTrailer-;

// --- was file MiIdLinkDef.h

#pragma link C++ class TMirrorIdentity;

#endif // __CINT__

