#include "RawSample.h"
#include <iostream>
using std::cout;
using std::endl;

namespace md {
RawSample::RawSample(): fSample(0), fTimeBin(0)
{};
RawSample::RawSample( const RawSample & mdraw) : TObject()
{
  *this = mdraw;
};
RawSample & RawSample::operator=( const RawSample & mdraw)
{
 fSample     = mdraw.fSample;
 fTimeBin    = mdraw.fTimeBin; 
 return *this;
};
RawSample::RawSample( unsigned int t, Long64_t s):  fSample(s), fTimeBin(t)
{};
RawSample::~RawSample()
{};
}//end namespace

