<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="page">
    <filename>index</filename>
    <title>STCoordinates</title>
    <name>index</name>
  </compound>
  <compound kind="file">
    <name>LatLong-UTMConversion.cc</name>
    <path>/home/revenu/Auger/Ana/STCoordinates/v0r5/src/</path>
    <filename>LatLong-UTMConversion_8cc</filename>
    <includes id="LatLong-UTMConversion_8h" name="LatLong-UTMConversion.h" local="yes">LatLong-UTMConversion.h</includes>
    <member kind="function">
      <type>void</type>
      <name>LLtoUTM</name>
      <anchor>a1</anchor>
      <arglist>(int ReferenceEllipsoid, double Lat, double Long, double &amp;UTMNorthing, double &amp;UTMEasting, string &amp;UTMZone)</arglist>
    </member>
    <member kind="function">
      <type>char</type>
      <name>UTMLetterDesignator</name>
      <anchor>a2</anchor>
      <arglist>(double Lat)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>UTMtoLL</name>
      <anchor>a3</anchor>
      <arglist>(int ReferenceEllipsoid, double UTMNorthing, double UTMEasting, const string &amp;UTMZone, double &amp;Lat, double &amp;Long)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>Ellipsoid</type>
      <name>ellipsoid</name>
      <anchor>a0</anchor>
      <arglist>[]</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>LatLong-UTMConversion.h</name>
    <path>/home/revenu/Auger/Ana/STCoordinates/v0r5/src/</path>
    <filename>LatLong-UTMConversion_8h</filename>
    <namespace>std</namespace>
    <class kind="class">Ellipsoid</class>
    <member kind="function">
      <type>void</type>
      <name>LLtoUTM</name>
      <anchor>a0</anchor>
      <arglist>(int ReferenceEllipsoid, double Lat, double Long, double &amp;UTMNorthing, double &amp;UTMEasting, string &amp;UTMZone)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>UTMtoLL</name>
      <anchor>a1</anchor>
      <arglist>(int ReferenceEllipsoid, double UTMNorthing, double UTMEasting, const string &amp;UTMZone, double &amp;Lat, double &amp;Long)</arglist>
    </member>
    <member kind="function">
      <type>char</type>
      <name>UTMLetterDesignator</name>
      <anchor>a2</anchor>
      <arglist>(double Lat)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>mainpage.doc</name>
    <path>/home/revenu/Auger/Ana/STCoordinates/v0r5/src/</path>
    <filename>mainpage_8doc</filename>
  </compound>
  <compound kind="file">
    <name>STCconstants.h</name>
    <path>/home/revenu/Auger/Ana/STCoordinates/v0r5/src/</path>
    <filename>STCconstants_8h</filename>
    <member kind="define">
      <type>#define</type>
      <name>eps_2000</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>alphaG_2000</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>deltaG_2000</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>lomega_2000</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>alphaE_2000</name>
      <anchor>a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>deltaE_2000</name>
      <anchor>a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>Eomega_2000</name>
      <anchor>a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>GPSSTART</name>
      <anchor>a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>J2000</name>
      <anchor>a8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>STClibrary.cc</name>
    <path>/home/revenu/Auger/Ana/STCoordinates/v0r5/src/</path>
    <filename>STClibrary_8cc</filename>
    <includes id="STClibrary_8h" name="STClibrary.h" local="yes">STClibrary.h</includes>
    <member kind="function">
      <type>double</type>
      <name>hms2day</name>
      <anchor>a5</anchor>
      <arglist>(int hour, int min, double sec)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>day2hms</name>
      <anchor>a6</anchor>
      <arglist>(double day, int *hour, int *min, double *sec)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>gps2utcdate</name>
      <anchor>a7</anchor>
      <arglist>(double gps_seconds, int *year, int *month, int *day, double *time, double leap)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>date2jd</name>
      <anchor>a8</anchor>
      <arglist>(int year, int month, double day, double *jd)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>date2jd</name>
      <anchor>a9</anchor>
      <arglist>(int year, int month, int day, double hour, double *jd)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>date2mjd</name>
      <anchor>a10</anchor>
      <arglist>(int year, int month, double day, double *mjd)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>jd2date</name>
      <anchor>a11</anchor>
      <arglist>(double jd, int *year, int *month, double *day)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>dateinterval</name>
      <anchor>a12</anchor>
      <arglist>(double jd1, double jd2)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>dateinterval</name>
      <anchor>a13</anchor>
      <arglist>(int year, int month, double day, int year1, int month1, double day1)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>daynamefromdate</name>
      <anchor>a14</anchor>
      <arglist>(int year, int month, double day)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>leapyear</name>
      <anchor>a15</anchor>
      <arglist>(int year)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>date2daynumber</name>
      <anchor>a16</anchor>
      <arglist>(int year, int month, int day)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>daynumber2date</name>
      <anchor>a17</anchor>
      <arglist>(int year, int daynb, int *month, int *day)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>easterdate</name>
      <anchor>a18</anchor>
      <arglist>(int year, int *month, int *day)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ct2lst</name>
      <anchor>a19</anchor>
      <arglist>(double longitude, double jd, double *lst)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>precess_coeffs</name>
      <anchor>a20</anchor>
      <arglist>(int eqn1, int eqn2, double *zeta, double *z, double *theta)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>ecliptic_obliquity</name>
      <anchor>a21</anchor>
      <arglist>(double jd)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>radec2ecl</name>
      <anchor>a22</anchor>
      <arglist>(double ra, double dec, double *lng, double *lat, int eqn)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ecl2radec</name>
      <anchor>a23</anchor>
      <arglist>(double lng, double lat, double *ra, double *dec, int eqn)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>radec2gal</name>
      <anchor>a24</anchor>
      <arglist>(double ra, double dec, double *l, double *b, int eqn)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>gal2radec</name>
      <anchor>a25</anchor>
      <arglist>(double l, double b, double *ra, double *dec, int eqn)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>azel2radec</name>
      <anchor>a26</anchor>
      <arglist>(double latitude, double longitude, double az, double el, double jd, double *ra, double *dec)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>radec2azel</name>
      <anchor>a27</anchor>
      <arglist>(double latitude, double longitude, double ra, double dec, double jd, double *az, double *el)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ecl2gal</name>
      <anchor>a28</anchor>
      <arglist>(double lambda, double beta, double *l, double *b, int eqn)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>gal2ecl</name>
      <anchor>a29</anchor>
      <arglist>(double l, double b, double *lambda, double *beta, int eqn)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ecl2azel</name>
      <anchor>a30</anchor>
      <arglist>(double latitude, double longitude, double lambda, double beta, double jd, double *az, double *el)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>azel2ecl</name>
      <anchor>a31</anchor>
      <arglist>(double latitude, double longitude, double az, double el, double jd, double *lambda, double *beta)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>gal2azel</name>
      <anchor>a32</anchor>
      <arglist>(double latitude, double longitude, double l, double b, double jd, double *az, double *el, int eqn)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>azel2gal</name>
      <anchor>a33</anchor>
      <arglist>(double latitude, double longitude, double az, double el, double jd, double *l, double *b, int eqn)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>double</type>
      <name>ecliptic_obliquity_coeffs</name>
      <anchor>a0</anchor>
      <arglist>[10]</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>double</type>
      <name>zeta_coeff</name>
      <anchor>a1</anchor>
      <arglist>[6]</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>double</type>
      <name>z_coeff</name>
      <anchor>a2</anchor>
      <arglist>[6]</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>double</type>
      <name>theta_coeff</name>
      <anchor>a3</anchor>
      <arglist>[6]</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>double</type>
      <name>sidereal_coeff</name>
      <anchor>a4</anchor>
      <arglist>[4]</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>STClibrary.h</name>
    <path>/home/revenu/Auger/Ana/STCoordinates/v0r5/src/</path>
    <filename>STClibrary_8h</filename>
    <includes id="STCconstants_8h" name="STCconstants.h" local="yes">STCconstants.h</includes>
    <member kind="function">
      <type>double</type>
      <name>hms2day</name>
      <anchor>a0</anchor>
      <arglist>(int hour, int min, double sec)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>day2hms</name>
      <anchor>a1</anchor>
      <arglist>(double day, int *hour, int *min, double *sec)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>gps2utcdate</name>
      <anchor>a2</anchor>
      <arglist>(double gps_seconds, int *year, int *month, int *day, double *time, double leap=kLeap1999)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>date2jd</name>
      <anchor>a3</anchor>
      <arglist>(int year, int month, double day, double *jd)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>date2jd</name>
      <anchor>a4</anchor>
      <arglist>(int year, int month, int day, double hour, double *jd)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>date2mjd</name>
      <anchor>a5</anchor>
      <arglist>(int year, int month, double day, double *mjd)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>jd2date</name>
      <anchor>a6</anchor>
      <arglist>(double jd, int *year, int *month, double *day)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>dateinterval</name>
      <anchor>a7</anchor>
      <arglist>(double jd1, double jd2)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>dateinterval</name>
      <anchor>a8</anchor>
      <arglist>(int year, int month, double day, int year1, int month1, double day1)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>daynamefromdate</name>
      <anchor>a9</anchor>
      <arglist>(int year, int month, double day)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>date2daynumber</name>
      <anchor>a10</anchor>
      <arglist>(int year, int month, int day)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>daynumber2date</name>
      <anchor>a11</anchor>
      <arglist>(int year, int daynb, int *month, int *day)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>leapyear</name>
      <anchor>a12</anchor>
      <arglist>(int year)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>easterdate</name>
      <anchor>a13</anchor>
      <arglist>(int year, int *month, int *day)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ct2lst</name>
      <anchor>a14</anchor>
      <arglist>(double longitude, double jd, double *lst)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>precess_coeffs</name>
      <anchor>a15</anchor>
      <arglist>(int equinox_input, int equinox_output, double *zeta, double *z, double *theta)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>ecliptic_obliquity</name>
      <anchor>a16</anchor>
      <arglist>(double jd)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>radec2ecl</name>
      <anchor>a17</anchor>
      <arglist>(double ra, double dec, double *lambda, double *beta, int eqn=kRefEquinox)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ecl2radec</name>
      <anchor>a18</anchor>
      <arglist>(double lambda, double beta, double *ra, double *dec, int eqn=kRefEquinox)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>radec2gal</name>
      <anchor>a19</anchor>
      <arglist>(double ra, double dec, double *l, double *b, int eqn=kRefEquinox)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>gal2radec</name>
      <anchor>a20</anchor>
      <arglist>(double l, double b, double *ra, double *dec, int eqn=kRefEquinox)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>azel2radec</name>
      <anchor>a21</anchor>
      <arglist>(double latitude, double longitude, double az, double el, double jd, double *ra, double *dec)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>radec2azel</name>
      <anchor>a22</anchor>
      <arglist>(double latitude, double longitude, double ra, double dec, double jd, double *az, double *el)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ecl2gal</name>
      <anchor>a23</anchor>
      <arglist>(double lambda, double beta, double *l, double *b, int eqn=kRefEquinox)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>gal2ecl</name>
      <anchor>a24</anchor>
      <arglist>(double l, double b, double *lambda, double *beta, int eqn=kRefEquinox)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ecl2azel</name>
      <anchor>a25</anchor>
      <arglist>(double latitude, double longitude, double lambda, double beta, double jd, double *az, double *el)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>azel2ecl</name>
      <anchor>a26</anchor>
      <arglist>(double latitude, double longitude, double az, double el, double jd, double *lambda, double *beta)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>gal2azel</name>
      <anchor>a27</anchor>
      <arglist>(double latitude, double longitude, double l, double b, double jd, double *az, double *el, int eqn=kRefEquinox)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>azel2gal</name>
      <anchor>a28</anchor>
      <arglist>(double latitude, double longitude, double az, double el, double jd, double *l, double *b, int eqn=kRefEquinox)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Ellipsoid</name>
    <filename>classEllipsoid.php</filename>
    <member kind="function">
      <type></type>
      <name>Ellipsoid</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Ellipsoid</name>
      <anchor>a1</anchor>
      <arglist>(int Id, string name, double radius, double ecc)</arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>id</name>
      <anchor>m0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>string</type>
      <name>ellipsoidName</name>
      <anchor>m1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>EquatorialRadius</name>
      <anchor>m2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>eccentricitySquared</name>
      <anchor>m3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>std</name>
    <filename>namespacestd.php</filename>
  </compound>
</tagfile>
