#!/bin/sh
MYDIR=`dirname $0`
[ "X$MYDIR" = "X" ] && MYDIR="."
getreq() {
  cat requirements | grep "^use" | awk '{print $2"@"$3}'
}
recursive() {
  for i in `getreq`
  do dir="../../../`echo $i | sed 's/@.*//'`/`echo $i | sed 's/.*@//'`/cmt"
  [ -d $dir ] && ( cd $dir; echo "CDAS`echo $i | sed 's/@.*//' | tr '[:lower:]' '[:upper:]'`HOME `dirname $PWD`" ; recursive; cd - > /dev/null)
  done
}
cd $MYDIR
[ "X$1" = "X" ] && recursive | sort | uniq | awk '{print "export",$1"="$2}' || recursive | sort | uniq | awk '{print "setenv",$1,$2}'
