#include <EyeEventFile.hh>
#include <EyeEvent.hh>

// simple example of reading Fd Data

int main(int argc,char *argv[])
{
  if (argc==1) {
    std::cout << "Usage: " << argv[0] << " <files>" << std::endl;
    std::cout << "   will read all Fd event in <files>" << std::endl;
    return 1;
  }

  TEyeEvent * fdevent = new TEyeEvent;
  
  for (int i=1; i < argc; i++) {
    TEyeEventFile eyefile(argv[i]);
     while (eyefile.ReadEvent(&fdevent)) {
       cout << fdevent->GetEventHeader()->GetEventNo() <<endl;
       fdevent->Dump();
     }
  }

  delete fdevent;
  
  return 0;
}
